librelist archives

« back to archive

Flask_Script-0.4.0 breaks blohg

Flask_Script-0.4.0 breaks blohg

From:
Greg Ward
Date:
2012-09-05 @ 01:35
Hi all --

I just installed a new virtualenv with blohg, and it's broken:

$ blohg --help
Traceback (most recent call last):
  File "/var/lib/venv/blohg/bin/blohg", line 24, in <module>
    from blohg.script import create_script
  File "/var/lib/venv/blohg/lib/python2.6/site-packages/blohg/script.py", 
line 16, in <module>
    from flaskext.script import Command, Manager, Server, Option
ImportError: No module named script

Luckily I already had a working blohg installed from last week. Turns
out the only difference is:

  lib/python2.6/site-packages/Flask_Script-0.4.0-py2.6.egg-info/

(The old virtualenv had Flask_Script-0.3.3.)

The workaround is easy: in the non-working virtualenv, I ran

  pip install "Flask_Script==0.3.3"

Now blohg works fine from that virtualenv too.

Thought you might want to know...

        Greg
-- 
Greg Ward                                http://www.gerg.ca/
Be careful: sometimes, you're only standing on the shoulders of idiots.

Re: [blohg] Flask_Script-0.4.0 breaks blohg

From:
Rafael Martins
Date:
2012-09-05 @ 13:30
Hi Greg,

On Tue, Sep 4, 2012 at 10:35 PM, Greg Ward <greg@gerg.ca> wrote:
> Hi all --
>
> I just installed a new virtualenv with blohg, and it's broken:
>
> $ blohg --help
> Traceback (most recent call last):
>   File "/var/lib/venv/blohg/bin/blohg", line 24, in <module>
>     from blohg.script import create_script
>   File 
"/var/lib/venv/blohg/lib/python2.6/site-packages/blohg/script.py", line 
16, in <module>
>     from flaskext.script import Command, Manager, Server, Option
> ImportError: No module named script
>
> Luckily I already had a working blohg installed from last week. Turns
> out the only difference is:
>
>   lib/python2.6/site-packages/Flask_Script-0.4.0-py2.6.egg-info/
>
> (The old virtualenv had Flask_Script-0.3.3.)
>
> The workaround is easy: in the non-working virtualenv, I ran
>
>   pip install "Flask_Script==0.3.3"
>
> Now blohg works fine from that virtualenv too.
>
> Thought you might want to know...
>
>         Greg
> --
> Greg Ward                                http://www.gerg.ca/
> Be careful: sometimes, you're only standing on the shoulders of idiots.

Thanks for reporting,

I think this is already fixed in our hg repository. I'll verify and do
a new release asap.

Thanks!

-- 
Rafael Goncalves Martins
http://rafaelmartins.eng.br/